#ifndef __BITMAP_IMAGE_LOADER_H__
#define __BITMAP_IMAGE_LOADER_H__

#include <string>

class CBitmapImage
{
public:

    // Constructor
    CBitmapImage();

    // Destructor
    ~CBitmapImage();

    // Load bitmap (BMP) file with 8bpp
    int Load8bppBitmap( std::string strFileName );

    // Load bitmap (BMP) file with 8bpp
    int Load8bppBitmap( const char* pchFileName );

    // Release an image
    void Release();

    // Get image attributes
    inline int            GetWidth()       { return m_nImgWidth;   }
    inline int            GetHeight()      { return m_nImgHeight;  }
    inline int	          GetRowByteDist() { return m_nImgRowDist; }
    inline unsigned char* GetDataPtr()     { return m_pImgData;    }


protected:

    // Image attributes
    unsigned char* m_pImgData;
    int            m_nImgWidth;
    int            m_nImgHeight;
    int            m_nImgRowDist;
};

#endif // __BITMAP_IMAGE_LOADER_H__
